libinput-measure-touch-size(1)

NAME
libinput-measure-touch-size - measure touch size and orientation of devices

SYNOPSIS
libinput measure touch-size [--help] [options] [/dev/input/event0]

DESCRIPTION

The libinput measure touch-size tool measures the size and orientation of a touch as provided by the kernel. This is an interactive tool. When executed, the tool will prompt the user to interact with the touch device. On termination, the tool prints a summary of the values seen. This data should be attached to any touch-size-related bug report.

This is a debugging tool only, its output may change at any time. Do not rely on the output.

This tool usually needs to be run as root to have access to the /dev/input/eventX nodes.

OPTIONS
If a device node is given, this tool opens that device node. Otherwise, this tool searches for the first node that looks like a touch-capable device and uses that node.

--help
    Print help

--touch-thresholds="down:up"
    Set the logical touch size thresholds to down and up, respectively. When a touch exceeds the size in down it is considered logically down. If a touch is logically down and goes below the size in up, it is considered logically up. The thresholds have to be in device-specific pressure values and it is required that down >= up.

--palm-threshold=N
    Assume a palm threshold of N. The threshold has to be in device-specific pressure values.

If the touch-thresholds or the palm-threshold are not provided, this tool uses the thresholds provided by the device quirks (if any) or the built-in defaults.

LIBINPUT
Part of the libinput(1) suite